let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/3xp2dmql3fkv0mkfssszxdaxkhzcwzjk-bash-4.4-p12/bin/bash";
  coreutils = "/nix/store/hp0x0xvs98nl7fq15sqgamvm254a050w-coreutils-8.29/bin";
  bzip2 = "/nix/store/g07xb9a6xnkp18jfak6qdfgr824mz9fq-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/b2i6y1qyk6wd0p3v7jycwrilz5h1y595-gzip-1.9/bin/gzip";
  xz = "/nix/store/147g33n5ja3qn0d6vf5ward6d7xnl8l4-xz-5.2.3-bin/bin/xz";
  tar = "/nix/store/nxk8ljc0kk3g79g32q52ihcvhz0cr44a-gnutar-1.30/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/hp0x0xvs98nl7fq15sqgamvm254a050w-coreutils-8.29/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/fpivmcck2qpw5plrp599iraw2x9jp18k-nix-2.1.2/bin";
  nixPrefix = "/nix/store/fpivmcck2qpw5plrp599iraw2x9jp18k-nix-2.1.2";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/fpivmcck2qpw5plrp599iraw2x9jp18k-nix-2.1.2/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
